/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cv5;


/**
 *
 * @author bukz1
 */
public class Student implements Comparable<Student> {

    private String jmeno;
    private String prijmeni;
    private double prumer;

    public Student(String jmeno, String prijmeni, double prumer) {
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
        this.prumer = prumer;
    }

    public String getJmeno() {
        return jmeno;
    }

    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    public String getPrijmeni() {
        return prijmeni;
    }

    public void setPrijmeni(String prijmeni) {
        this.prijmeni = prijmeni;
    }

    public double getPrumer() {
        return prumer;
    }

    public void setPrumer(double prumer) {
        if (prumer >= 1 && prumer <= 5) {
            this.prumer = prumer;
        } else {
            this.prumer = Double.NaN;
        }
    }

    @Override
    public String toString() {
        return "Student{" + "jmeno=" + jmeno + ", prijmeni=" + prijmeni + ", prumer=" + prumer + '}';
    }

    @Override
    public int compareTo(Student o) {
        if (this.prumer < o.prumer) {
            return -1;
        } else if (this.prumer > o.prumer) {
            return 1;
        }
        return 0;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 13 * hash + (this.jmeno != null ? this.jmeno.hashCode() : 0);
        hash = 13 * hash + (this.prijmeni != null ? this.prijmeni.hashCode() : 0);
        hash = 13 * hash + (int) (Double.doubleToLongBits(this.prumer) ^ (Double.doubleToLongBits(this.prumer) >>> 32));
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Student other = (Student) obj;
        if ((this.jmeno == null) ? (other.jmeno != null) : !this.jmeno.equals(other.jmeno)) {
            return false;
        }
        if ((this.prijmeni == null) ? (other.prijmeni != null) : !this.prijmeni.equals(other.prijmeni)) {
            return false;
        }
        if (Double.doubleToLongBits(this.prumer) != Double.doubleToLongBits(other.prumer)) {
            return false;
        }
        return true;
    }

    
    
}
